package com.dragoninfo.dcuc.app.facade.sub;

import com.dragoninfo.dcuc.app.vo.AppDataItemInfoRespVO;
import com.dragoninfo.dcuc.app.vo.AppDataItemPageVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@FeignClient(name = "dcuc-app", path = "/dcuc/app/appDataItemInfoFacade")
public interface IAppDataItemInfoFacade {

    /**
     * 搜索查询列表
     *
     * @param searchDTO 搜索条件
     * @return 集合
     */
    @PostMapping("searchList")
    List<AppDataItemInfoRespVO> searchList(@RequestBody SearchDTO searchDTO);

    /**
     * 根据表ID查询数据项信息
     *
     * @param tableId 表ID
     * @return 数据项信息
     */
    @GetMapping("selectByTableId")
    List<AppDataItemInfoRespVO> selectByTableId(@RequestParam("tableId") String tableId);

    /**
     * 分页查询
     * @param searchDTO
     * @return
     */
    @PostMapping("pageSearch")
    Page<AppDataItemPageVo> pageSearch(@RequestBody SearchDTO searchDTO);

    /**
     * 删除
     * @param id
     * @return
     */
    @DeleteMapping("deleteById/{id}")
    ResponseStatus deleteById(@PathVariable("id") String id);
}
