package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用/服务资源父类DTO
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
public class ResourceDTO implements Serializable {
    private String id;

    /**
     * 资源枚举类-资源id
     */
    private String resourceId;

    /**
     * 资源枚举类-资源类型
     */
    private String resourceType;

    /**
     * 资源枚举类-资源提供方
     */
    private String resourceProvider;

    /**
     * 建设单位编码（orgCode）
     */
    private String buildUnitCode;

    /**
     * 建设单位名称
     */
    private String buildUnit;

    /**
     * 建设单位负责人
     */
    private String buildPrincipal;

    /**
     * 建设单位负责人电话
     */
    private String buildPrincipalPhone;

    /**
     * 承建单位编码（ManufacturerCode）
     */
    private String contractUnitCode;

    /**
     * 承建单位名称
     */
    private String contractUnit;

    /**
     * 管理单位name
     */
    private String managerUnit;

    /**
     * 管理单位code
     */
    private String managerUnitCode;


    /**
     * 承建单位负责人
     */
    private String contractPrincipal;

    /**
     * 承建单位负责人电话
     */
    private String contractPrincipalPhone;

    /**
     * 是否删除
     */
    private String deleted;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public ResourceDTO(String resourceId, String resourceType, String resourceProvider) {
        this.resourceId = resourceId;
        this.resourceType = resourceType;
        this.resourceProvider = resourceProvider;
    }

    public ResourceDTO() {

    }

}
