package com.dragoninfo.dcuc.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用信息
 *
 * @author yica
 * @date 2018/8/6
 */
@Data
@TableName("T_APPLY_INFO")
public class ApplyInfo implements Serializable {

    private static final long serialVersionUID = 3312323469489364272L;

    @TableId(type = IdType.UUID)
    private String id;

    @ApiModelProperty(value = "应用名称")
    private String applyName;

    @ApiModelProperty(value = "应用代码")
    private String applyCode;

    @ApiModelProperty(value = "应用类别")
    private String applyCategory;

    @ApiModelProperty(value = "所属业务警种")
    private String policeSpecies;

    @ApiModelProperty(value = "所属单位名称")
    private String orgName;

    @ApiModelProperty(value = "事权单位代码")
    private String orgCode;

    @ApiModelProperty(value = "管理单位代码")
    private String managerOrgCode;

    @ApiModelProperty(value = "管理单位名称")
    private String managerOrgName;

    @ApiModelProperty(value = "排序号")
    private String sort;

    @ApiModelProperty(value = "应用URL")
    private String applyUrl;

    @ApiModelProperty(value = "应用厂商id")
    private String manufacturerId;

    @ApiModelProperty(value = "应用厂商")
    private String manufacturerName;

    @ApiModelProperty(value = "应用状态 0:启用 1:禁用")
    private String applyStatus;

    @ApiModelProperty(value = "应用管理员")
    private String managerName;

    @ApiModelProperty(value = "管理员联系电话")
    private String managerPhone;

    @ApiModelProperty(value = "应用描述")
    private String managerDescribe;

    // todo 后续表结构更改时需统一删除，该字段存储到 T_APPLY_OAUTH
    @ApiModelProperty(value = "API_KEY")
    private String apiKey;

    // todo 后续表结构更改时需统一删除，该字段存储到 T_APPLY_OAUTH
    @ApiModelProperty(value = "SECRET_KEY")
    private String secretKey;

    @ApiModelProperty(value = "应用负责人")
    private String fzr;

    @ApiModelProperty(value = "负责人电话")
    private String fzrPhone;

    @ApiModelProperty(value = "应用图标")
    private String applyIcon;

    @ApiModelProperty(value = "图标颜色")
    private String iconColor;

    @ApiModelProperty(value = "删除")
    @TableLogic
    private String deleted;

    @ApiModelProperty(value = "人脸识别标志")
    private String faceVerifyFlag;

    @ApiModelProperty(value = "注册时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registrationTime;

    @ApiModelProperty(value = "单位负责人")
    private String jgFzr;

    @ApiModelProperty(value = "单位负责人电话")
    private String jgFzrPhone;

    @ApiModelProperty(value = "应用系统运维单位名称")
    private String appOpsDepName;

    @ApiModelProperty(value = "应用英文名称")
    private String appEnglishName;

    @ApiModelProperty(value = "上线日期")
    private String lineTime;
}
