package com.dragoninfo.dcuc.app.entity.sub;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;

import java.util.Date;

/**
 * <p>
 * 字段关系表
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
@TableName("t_app_column_relation")
@Data
public class AppColumnRelation {
    /**
     * 编号
     */
    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 表码名称
     */
    private String codeName;
    /**
     * 表码值
     */
    private String codeValue;
    /**
     * 字段一分类值
     */
    private String columnOneClassValue;
    /**
     * 字段二分类值
     */
    private String columnTwoClassValue;
    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;
    /**
     * 创建时间
     */
    @CreatedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP, fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @LastModifiedDate
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;
    /**
     * 创建用户
     */
    @CreatedBy
    @TableField(jdbcType = JdbcType.VARCHAR, fill = FieldFill.INSERT)
    private String createUser;
    /**
     * 更新用户
     */
    @LastModifiedBy
    private String updateUser;
}
