package com.dragoninfo.dcuc.app.enumresources;

/**
 * 资源类型枚举类
 */
public enum ResourceTypeEnum {

    /**
     * 资源类型枚举类
     */
    TJ_APP("tj_app", "dsjyyfwpt", "app"),
    TJ_SERVICE("tj_service", "dsjyyfwpt", "service"),
    BU_SERVICE("bu_service","bu_service","bu_service"),
    TJ_APP_MENU("tj_app_menu", "dsjyyfwpt", "menu");

    private String resourceId;
    private String resourceProvider;
    private String resourceType;

    ResourceTypeEnum(String resourceId, String resourceProvider, String resourceType) {
        this.resourceId = resourceId;
        this.resourceProvider = resourceProvider;
        this.resourceType = resourceType;
    }

    public static ResourceTypeEnum getByResourceId(String resourceId) {
        for (ResourceTypeEnum value : values()) {
            if (value.getResourceId().equals(resourceId)) {
                return value;
            }
        }
        return null;
    }

    public static ResourceTypeEnum getByResourceType(String resourceType) {
        for (ResourceTypeEnum value : values()) {
            if (value.getResourceType().equals(resourceType)) {
                return value;
            }
        }
        return null;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceProvider() {
        return resourceProvider;
    }

    public void setResouProvider(String resouProvider) {
        this.resourceProvider = resouProvider;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

}
