package com.dragoninfo.dcuc.app.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 数据集分页展示Vo
 * @author mazq
 * @date 2023/6/28
 */
@Data
@ApiModel(value = "数据集分页展示Vo")
public class AppDataResourcePageVo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "数据资源名称")
    private String resourceName;

    @ApiModelProperty(value = "数据资源标识符")
    private String resourceCode;

    @ApiModelProperty(value = "应用系统编码称")
    private String applicationCode;

    @ApiModelProperty(value = "应用系统名称")
    private String applicationCodeName;

    @ApiModelProperty(value = "事权单位名称")
    private String authorityDeptName;

    @ApiModelProperty(value = "数据资源事权单位编号")
    private String authorityDeptCode;

    @ApiModelProperty(value = "管理单位名称")
    private String manageDeptName;

    @ApiModelProperty(value = "管理单位名称")
    private String manageDeptCode;

    @ApiModelProperty(value = "数据组织一级分类名称")
    private String dataClassifyOneName;

    @ApiModelProperty(value = "数据组织二级分类名称")
    private String dataClassifyTwoName;

    @ApiModelProperty(value = "标签名")
    private String labelName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
