package com.dragoninfo.dcuc.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author mazq
 * @date 2021/4/13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "数据资源同步树对象")
public class DataResourceSyncTreeVo {

    @ApiModelProperty(value = "节点id")
    private String id;
    @ApiModelProperty(value = "数据资源code")
    private String code;
    @ApiModelProperty(value = "节点名称")
    private String label;
    @ApiModelProperty(value = "数据资源类型" +
            "数据安全级别：DATA_SECURITY_LEVEL " +
            "字段一级分类：LEVEL_1_COLUMN_CLASSIFY" +
            "字段二级分类：LEVEL_2_COLUMN_CLASSIFY" +
            "数据分级：DATA_CLASSIFY")
    private String dataType;
    @ApiModelProperty(value = "子节点集合")
    private List<DataResourceSyncTreeVo> child;
    @ApiModelProperty(value = "是否是树节点 true：是树节点,child不为空。false：非树节点,child为空。")
    private Boolean treeNode;
    @ApiModelProperty(value = "父节点id")
    private String pId;
}
