package com.dragoninfo.dcuc.app;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 应用启动
 *
 * @author huangzqa
 */
@EnableCaching
@SpringBootApplication(scanBasePackages = {"com.dragonsoft.*", "com.dragoninfo.*"})
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.dragonsoft.*", "com.dragoninfo.*"})
@MapperScan("com.dragoninfo.**.mapper")
public class DcucAppApplication {

    public static void main(String[] args) {
        SpringApplication.run(DcucAppApplication.class, args);
    }
}


