package com.dragoninfo.dcuc.app.config;

import com.dragoninfo.dcuc.app.message.AppResourceSyncListener;
import com.dragoninfo.dcuc.app.message.ServiceResourceSyncListener;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * 应用、服务资源增量同步配置类
 *
 * @author mazq
 * @date 2021/3/10
 */
@Component
@ConditionalOnProperty(name = "dcuc.app.resource-index.kafka", havingValue = "true")
public class AppResourceKafkaConfig {


    @Bean
    public AppResourceSyncListener appResourceSyncListener() {
        return new AppResourceSyncListener();
    }

    @Bean
    public ServiceResourceSyncListener serviceResourceSyncListener() {
        return new ServiceResourceSyncListener();
    }
}
