package com.dragoninfo.dcuc.app.facade.sub;

import cn.hutool.core.bean.BeanUtil;
import com.dragoninfo.dcuc.app.entity.sub.AppDataItemInfo;
import com.dragoninfo.dcuc.app.entity.sub.AppDataResourceInfo;
import com.dragoninfo.dcuc.app.service.sub.IAppDataItemInfoService;
import com.dragoninfo.dcuc.app.vo.AppDataItemInfoRespVO;
import com.dragoninfo.dcuc.app.vo.AppDataItemPageVo;
import com.dragoninfo.dcuc.app.vo.AppDataResourceInfoRespVO;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@RestController
@RequestMapping(value = "/dcuc/app/appDataItemInfoFacade")
public class AppDataItemInfoFacade implements IAppDataItemInfoFacade {

    @Autowired
    private IAppDataItemInfoService appDataItemInfoService;

    @Override
    public List<AppDataItemInfoRespVO> searchList(SearchDTO searchDTO) {
        List<AppDataItemInfo> dataItemInfoList = appDataItemInfoService.searchList(Searchable.toSearchable(searchDTO));
        return toRespVOList(dataItemInfoList);
    }

    @Override
    public List<AppDataItemInfoRespVO> selectByTableId(String tableId) {
        List<AppDataItemInfo> dataItemInfoList = appDataItemInfoService.selectByTableId(tableId);
        return toRespVOList(dataItemInfoList);
    }

    @Override
    public Page<AppDataItemPageVo> pageSearch(SearchDTO searchDTO) {
        return appDataItemInfoService.pageSearch(searchDTO);
    }

    @Override
    public ResponseStatus deleteById(String id) {
        appDataItemInfoService.deleteById(id);
        return ResponseStatus.success();
    }

    private List<AppDataItemInfoRespVO> toRespVOList(List<AppDataItemInfo> dataItemInfoList) {
        List<AppDataItemInfoRespVO> respVOList = new ArrayList<>(dataItemInfoList.size());
        for (AppDataItemInfo appDataItemInfo : dataItemInfoList) {
            AppDataItemInfoRespVO respVO = new AppDataItemInfoRespVO();
            BeanUtil.copyProperties(appDataItemInfo, respVO);
            respVOList.add(respVO);
        }
        return respVOList;
    }
}
