package com.dragoninfo.dcuc.app.service;


import com.dragoninfo.dcuc.app.dto.ResourceSyncDTO;
import com.dragoninfo.dcuc.app.entity.ResourceSync;

import java.util.List;

/**
 * 资源同步Service
 * @author mazq
 * @date 2020/11/26
 */
public interface IResourceSyncService {

    /**
     * 保存同步资源数据
     * @param dto
     * @return
     */
    ResourceSync insertRemoteResourceSync(ResourceSyncDTO dto);

    /**
     * 更新同步资源数据
     * @param resourceSync
     */
    void update(ResourceSync resourceSync);

    /**
     * 批量更新同步资源数据
     * @param resourceSyncs
     */
    void batchUpdate(List<ResourceSync> resourceSyncs);

    /**
     * 获取还未进行同步的同步资源数据
     * @return
     */
    List<ResourceSync> getNotSyncResource(String resourceId);

    /**
     * 批量插入数据
     * @param list
     */
    void batchInsertResourceSync(List<ResourceSyncDTO> list);
}
