package com.dragoninfo.dcuc.app.service.sub;

import com.dragoninfo.dcuc.app.dto.sub.FieldSecDTO;
import com.dragoninfo.dcuc.app.entity.sub.FieldSec;
import com.dragoninfo.dcuc.app.vo.DataLevelVo;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 主客体授权-数据安全等级业务接口
 * @author mazq
 * @date 2021/5/25
 */
public interface IDataSecService {

    /**
     * 数据安全等级保存或更新
     * @param dto
     * @return
     */
    ResponseStatus dataLevelAdd(FieldSecDTO dto);

    /**
     * 更新
     * @param dto
     * @return
     */
    FieldSec update(FieldSecDTO dto);

    /**
     * 保存
     * @param dto
     * @return
     */
    FieldSec save(FieldSecDTO dto);

    /**
     * 获取详情
     * @param id
     * @return
     */
    FieldSec getById(String id);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    Boolean deleteById(String id);

    /**
     * 根据code查询数据安全等级详情
     * @param secCode
     * @return
     */
    FieldSecDTO detailByCode(String secCode);

    /**
     * 分页查询数据安全等级
     * @param searchDTO
     * @return
     */
    Page<FieldSecDTO> pageSearch(SearchDTO searchDTO);

    /**
     * 安全等级同步数据保存
     * @param list
     */
    void sync(List<DataLevelVo> list);

    /**
     * 根据codes查询集合
     * @param codes
     * @return
     */
    List<FieldSec> getByCodes(List<String> codes);

    /**
     * 获取所有数据
     * @return
     */
    List<FieldSec> getAll();

    /**
     * 批量获取
     * @param ids
     * @return
     */
    List<FieldSec> getByIds(List<String> ids);
}
