-- Create table
create table T_APPLY_INFO
(
  ID                VARCHAR2(32),
  APPLY_NAME        VARCHAR2(100),
  APPLY_CODE        VARCHAR2(32),
  APPLY_CATEGORY    VARCHAR2(32),
  POLICE_SPECIES    VARCHAR2(32),
  ORG_ID            VARCHAR2(80),
  ORG_NAME          VARCHAR2(100),
  SORT              NUMBER,
  APPLY_URL         VARCHAR2(200),
  MANUFACTURER_ID   VARCHAR2(32),
  MANUFACTURER_NAME VARCHAR2(80),
  APPLY_STATUS      VARCHAR2(32),
  MANAGER_NAME      VARCHAR2(32),
  MANAGER_PHONE     VARCHAR2(32),
  MANAGER_DESCRIBE  VARCHAR2(200),
  API_KEY           VARCHAR2(32),
  SECRET_KEY        VARCHAR2(32),
  APPLY_ICON        VARCHAR2(32),
  DELETED           VARCHAR2(32),
  REGISTRATION_TIME DATE,
  FZR               VARCHAR2(50),
  FZR_PHONE         VARCHAR2(32),
  ICON_COLOR        VARCHAR2(10),
  FACE_VERIFY_FLAG  VARCHAR2(10),
  APPLY_TYPE        VARCHAR2(2),
  JG_FZR            VARCHAR2(10),
  JG_FZR_PHONE      VARCHAR2(32)
);
-- Add comments to the table 
comment on table T_APPLY_INFO
  is '应用信息表';
-- Add comments to the columns
comment on column T_APPLY_INFO.ID
  is 'id';
comment on column T_APPLY_INFO.APPLY_NAME
  is '应用名称';
comment on column T_APPLY_INFO.APPLY_CODE
  is '应用代码';
comment on column T_APPLY_INFO.APPLY_CATEGORY
  is '应用类别';
comment on column T_APPLY_INFO.POLICE_SPECIES
  is '所属业务警种';
comment on column T_APPLY_INFO.ORG_ID
  is '所属单位id';
comment on column T_APPLY_INFO.ORG_NAME
  is '所属单位';
comment on column T_APPLY_INFO.SORT
  is '排序号';
comment on column T_APPLY_INFO.APPLY_URL
  is '应用URL';
comment on column T_APPLY_INFO.MANUFACTURER_ID
  is '应用厂商ID';
comment on column T_APPLY_INFO.MANUFACTURER_NAME
  is '应用厂商';
comment on column T_APPLY_INFO.APPLY_STATUS
  is '应用状态';
comment on column T_APPLY_INFO.MANAGER_NAME
  is '应用管理员';
comment on column T_APPLY_INFO.MANAGER_PHONE
  is '管理员联系电话';
comment on column T_APPLY_INFO.MANAGER_DESCRIBE
  is '应用描述';
comment on column T_APPLY_INFO.API_KEY
  is 'API Key';
comment on column T_APPLY_INFO.SECRET_KEY
  is 'Secret Key';
comment on column T_APPLY_INFO.APPLY_ICON
  is '应用图标';
comment on column T_APPLY_INFO.DELETED
  is '删除 0：否 ，1：是';
comment on column T_APPLY_INFO.REGISTRATION_TIME
  is '注册时间';
comment on column T_APPLY_INFO.FZR
  is '负责人';
comment on column T_APPLY_INFO.FZR_PHONE
  is '负责人联系电话';
comment on column T_APPLY_INFO.ICON_COLOR
  is '图标颜色代码，不加“#”';
comment on column T_APPLY_INFO.FACE_VERIFY_FLAG
  is '人脸识别标志';
comment on column T_APPLY_INFO.APPLY_TYPE
  is '应用类别 01:PC端应用，02:移动端应用';

-- Create table
create table T_MANUFACTURER_INFO
(
  ID                VARCHAR2(32),
  MANUFACTURER_NAME VARCHAR2(100),
  NAME              VARCHAR2(100),
  IDCARD            VARCHAR2(32),
  PHONE             VARCHAR2(32),
  ADDRESS           VARCHAR2(500),
  DELETED           VARCHAR2(32),
  CODE              VARCHAR2(32)
);
-- Add comments to the table
comment on table T_MANUFACTURER_INFO
  is '厂商信息表';
-- Add comments to the columns
comment on column T_MANUFACTURER_INFO.ID
  is 'ID';
comment on column T_MANUFACTURER_INFO.MANUFACTURER_NAME
  is '厂商名称';
comment on column T_MANUFACTURER_INFO.NAME
  is '厂商负责人';
comment on column T_MANUFACTURER_INFO.IDCARD
  is '负责人身份号码';
comment on column T_MANUFACTURER_INFO.PHONE
  is '联系电话';
comment on column T_MANUFACTURER_INFO.ADDRESS
  is '厂商地址';
comment on column T_MANUFACTURER_INFO.DELETED
  is '删除 0：否，1：是';
comment on column T_MANUFACTURER_INFO.CODE
  is '厂商代码';

-- Create table
create table T_APPLY_OAUTH
(
  ID         VARCHAR2(32),
  APPLY_ID   VARCHAR2(32),
  API_KEY    VARCHAR2(32),
  SECRET_KEY VARCHAR2(32),
  DELETED    VARCHAR2(2)
);
-- Add comments to the table
comment on table T_APPLY_OAUTH
  is '应用key信息';
-- Add comments to the columns
comment on column T_APPLY_OAUTH.APPLY_ID
  is '应用ID';
comment on column T_APPLY_OAUTH.API_KEY
  is 'API_KEY';
comment on column T_APPLY_OAUTH.SECRET_KEY
  is 'Secret_Key';
comment on column T_APPLY_OAUTH.DELETED
  is '0.使用 1.删除';

insert into T_APPLY_INFO (ID, APPLY_NAME, APPLY_CODE, APPLY_CATEGORY, POLICE_SPECIES, ORG_ID, ORG_NAME, SORT, APPLY_URL,
                          MANUFACTURER_ID, MANUFACTURER_NAME, APPLY_STATUS, MANAGER_NAME, MANAGER_PHONE,
                          MANAGER_DESCRIBE, API_KEY, SECRET_KEY, APPLY_ICON, DELETED, REGISTRATION_TIME, FZR, FZR_PHONE,
                          ICON_COLOR, FACE_VERIFY_FLAG, JG_FZR, JG_FZR_PHONE)
values ('2c90e9446710758d016710d090f10000', '全国人口信息-用户中心', 'YHZX0000000000000001', '1', '02',
        '7F08CCC3C4984A2586C9D3F0A6B804E5', '公安部', 24, 'http://192.167.10.11:8888/dcuc', 'dragonsoftcompany',
        '厦门市巨龙信息科技有限公司1', '0', 'ADMIN', null, null, 'YHZX000000000000000118723072', 'YHZX000000000000000121798644', null, '0', to_date('14-11-2018', 'dd-mm-yyyy'), null,
        null, null, '1', '01', null);

insert into T_APPLY_INFO (ID, APPLY_NAME, APPLY_CODE, APPLY_CATEGORY, POLICE_SPECIES, ORG_ID, ORG_NAME, SORT, APPLY_URL,
                          MANUFACTURER_ID, MANUFACTURER_NAME, APPLY_STATUS, MANAGER_NAME, MANAGER_PHONE,
                          MANAGER_DESCRIBE, API_KEY, SECRET_KEY, APPLY_ICON, DELETED, REGISTRATION_TIME, FZR, FZR_PHONE,
                          ICON_COLOR, FACE_VERIFY_FLAG, APPLY_TYPE, JG_FZR, JG_FZR_PHONE)
values ('2c90e96669318cd9016931ee49bb0000', '统一授权（勿删）', 'QXXT0000000000000001', '3', '201205',
        '7F08CCC3C4984A2586C9D3F0A6B804E5', '公安部', 1, 'http://127.0.0.1:8871/dcucauth',
        'dragonsoftcompany', '厦门市巨龙信息科技有限公司', '0', 'ADMIN', null, null, 'QXXT000000000000000118723072',
        'QXXT000000000000000121798644', '7B8935CFCA97B5981031554793665622', '0', to_date('28-02-2019', 'dd-mm-yyyy'),
        'ADMIN', '12345678995', null, null, null, '亚历山大', '12345678995');


insert into t_manufacturer_info (ID, MANUFACTURER_NAME, NAME, IDCARD, PHONE, ADDRESS, DELETED, CODE)
values ('dragonsoftcompany', '厦门市巨龙信息科技有限公司1', '44y', '350524199111012121', '0592-570709', '厦门市火炬开发区创新二路一号  巨龙大厦', '0',
        'julong');


insert into t_apply_oauth (ID,APPLY_ID,API_KEY,SECRET_KEY,DELETED) VALUES
('b222b876cf4f31111111a2360715668c', '2c90e96669318cd9016931ee49bb0000', 'QXXT000000000000000118723072', 'QXXT000000000000000121798644', '0');
insert into t_apply_oauth (ID,APPLY_ID,API_KEY,SECRET_KEY,DELETED) VALUES
('b222b876cf4f3b245c2ba1111115668c', '2c90e9446710758d016710d090f10000', 'YHZX000000000000000118723072', 'YHZX000000000000000121798644', '0');