CREATE TABLE t_app_column_relation
(
    id VARCHAR2 (32) NOT NULL,
    code_name VARCHAR2 (90) NOT NULL,
    code_value VARCHAR2 (90) NOT NULL,
    column_one_class_value VARCHAR2 (90) NOT NULL,
    column_two_class_value VARCHAR2 (90) NOT NULL,
    deleted VARCHAR2 (1) NOT NULL,
    create_time DATE NOT NULL,
    update_time DATE,
    create_user VARCHAR2 (32),
    update_user VARCHAR2 (32),
    PRIMARY KEY (id)
);

COMMENT ON TABLE t_app_column_relation IS '字段关系表';
COMMENT ON COLUMN t_app_column_relation.id IS '编号';
COMMENT ON COLUMN t_app_column_relation.code_name IS '表码名称';
COMMENT ON COLUMN t_app_column_relation.code_value IS '表码值';
COMMENT ON COLUMN t_app_column_relation.column_one_class_value IS '字段一分类值';
COMMENT ON COLUMN t_app_column_relation.column_two_class_value IS '字段二分类值';
COMMENT ON COLUMN t_app_column_relation.deleted IS '是否删除';
COMMENT ON COLUMN t_app_column_relation.create_time IS '创建时间';
COMMENT ON COLUMN t_app_column_relation.update_time IS '更新时间';
COMMENT ON COLUMN t_app_column_relation.create_user IS '创建用户';
COMMENT ON COLUMN t_app_column_relation.update_user IS '更新用户';

CREATE TABLE t_app_data_item_info
(
    id VARCHAR2 (32) NOT NULL,
    resource_table_id VARCHAR2 (32) NOT NULL,
    column_id VARCHAR2 (32) NOT NULL,
    column_code VARCHAR2 (90) NOT NULL,
    column_name VARCHAR2 (90) NOT NULL,
    column_classify VARCHAR2 (32),
    column_classify_name VARCHAR2 (90),
    data_security_level VARCHAR2 (32),
    data_security_level_name VARCHAR2 (90),
    data_item_no VARCHAR2 (32),
    data_item_code VARCHAR2 (90),
    data_source_item_type VARCHAR2 (32),
    data_source_item_type_name VARCHAR2 (90),
    data_element_code VARCHAR2 (32),
    standard_data_item_no VARCHAR2 (32),
    standard_data_item_name VARCHAR2 (90),
    standard_data_item_code VARCHAR2 (32),
    standard_data_item_type VARCHAR2 (32),
    standard_data_item_length VARCHAR2 (90),
    remark VARCHAR2 (900),
    invalid_status VARCHAR2 (32),
    column_register_time DATE,
    column_update_time   DATE,
    deleted VARCHAR2 (1) NOT NULL,
    create_time          DATE NOT NULL,
    update_time          DATE,
    create_user VARCHAR2 (32),
    update_user VARCHAR2 (32),
    PRIMARY KEY (id)
);

COMMENT ON TABLE t_app_data_item_info IS '数据项（字段）信息';
COMMENT ON COLUMN t_app_data_item_info.id IS '编号';
COMMENT ON COLUMN t_app_data_item_info.resource_table_id IS '数据资源ID';
COMMENT ON COLUMN t_app_data_item_info.column_id IS '数据项ID';
COMMENT ON COLUMN t_app_data_item_info.column_code IS '字段英文名称';
COMMENT ON COLUMN t_app_data_item_info.column_name IS '字段中文名称';
COMMENT ON COLUMN t_app_data_item_info.column_classify IS '字段分类代码';
COMMENT ON COLUMN t_app_data_item_info.column_classify_name IS '字段分类名称';
COMMENT ON COLUMN t_app_data_item_info.data_security_level IS '数据安全级别代码';
COMMENT ON COLUMN t_app_data_item_info.data_security_level_name IS '数据安全级别名称';
COMMENT ON COLUMN t_app_data_item_info.data_item_no IS '数据项编号';
COMMENT ON COLUMN t_app_data_item_info.data_item_code IS '数据项标识符';
COMMENT ON COLUMN t_app_data_item_info.data_source_item_type IS '数据项类型代码';
COMMENT ON COLUMN t_app_data_item_info.data_source_item_type_name IS '数据项类型名称';
COMMENT ON COLUMN t_app_data_item_info.data_element_code IS '数据元内部标识符';
COMMENT ON COLUMN t_app_data_item_info.standard_data_item_no IS '数据项集数据项编号';
COMMENT ON COLUMN t_app_data_item_info.standard_data_item_name IS '数据项集数据项中文名';
COMMENT ON COLUMN t_app_data_item_info.standard_data_item_code IS '数据项集数据项英文名';
COMMENT ON COLUMN t_app_data_item_info.standard_data_item_type IS '数据项集数据项数据类型';
COMMENT ON COLUMN t_app_data_item_info.standard_data_item_length IS '数据项集数据项数据长度';
COMMENT ON COLUMN t_app_data_item_info.remark IS '备注';
COMMENT ON COLUMN t_app_data_item_info.invalid_status IS '是否失效，true/false';
COMMENT ON COLUMN t_app_data_item_info.column_register_time IS '注册时间，格式：yyyy-MM-dd HH:mm:ss';
COMMENT ON COLUMN t_app_data_item_info.column_update_time IS '更新时间，格式：yyyy-MM-dd HH:mm:ss';
COMMENT ON COLUMN t_app_data_item_info.deleted IS '是否删除';
COMMENT ON COLUMN t_app_data_item_info.create_time IS '创建时间';
COMMENT ON COLUMN t_app_data_item_info.update_time IS '更新时间';
COMMENT ON COLUMN t_app_data_item_info.create_user IS '创建用户';
COMMENT ON COLUMN t_app_data_item_info.update_user IS '更新用户';


CREATE TABLE t_app_data_resource_info
(
    id VARCHAR2 (32) NOT NULL,
    data_object_id VARCHAR2 (32) NOT NULL,
    resource_code VARCHAR2 (90) NOT NULL,
    resource_name VARCHAR2 (90) NOT NULL,
    resource_version VARCHAR2 (32),
    resource_description VARCHAR2 (900),
    table_code VARCHAR2 (90),
    table_name VARCHAR2 (90),
    catalog_cod VARCHAR2 (90),
    application_code VARCHAR2 (32),
    application_code_name VARCHAR2 (90),
    data_source_one_code VARCHAR2 (32),
    data_source_one_name VARCHAR2 (90),
    data_source_two_code VARCHAR2 (32),
    data_source_two_name VARCHAR2 (90),
    data_classification VARCHAR2 (32),
    data_classification_name VARCHAR2 (90),
    standard_data_code VARCHAR2 (32),
    standard_data_name VARCHAR2 (90),
    data_classify_one_code VARCHAR2 (32),
    data_classify_one_name VARCHAR2 (90),
    data_classify_two_code VARCHAR2 (32),
    data_classify_two_name VARCHAR2 (90),
    data_label_one_code VARCHAR2 (32),
    data_label_one_name VARCHAR2 (90),
    data_label_two_code VARCHAR2 (32),
    data_label_two_name VARCHAR2 (90),
    data_label_three_code VARCHAR2 (32),
    data_label_three_name VARCHAR2 (90),
    data_label_four_code VARCHAR2 (32),
    data_label_four_name VARCHAR2 (90),
    data_label_five_code VARCHAR2 (32),
    data_label_five_name VARCHAR2 (90),
    resource_service_code VARCHAR2 (90),
    resource_status VARCHAR2 (255),
    resource_status_name VARCHAR2 (32),
    resource_register_time DATE,
    resource_update_time   DATE,
    authority_dept_code VARCHAR2 (255),
    authority_dept_name VARCHAR2 (255),
    manage_dept_code VARCHAR2 (255),
    manage_dept_name VARCHAR2 (255),
    is_access VARCHAR2 (1),
    deleted VARCHAR2 (1) NOT NULL,
    create_time            DATE NOT NULL,
    update_time            DATE,
    create_user VARCHAR2 (32),
    update_user VARCHAR2 (32),
    PRIMARY KEY (id)
);

COMMENT ON TABLE t_app_data_resource_info IS '数据资源（表）信息';
COMMENT ON COLUMN t_app_data_resource_info.id IS '编号';
COMMENT ON COLUMN t_app_data_resource_info.data_object_id IS '数据对象ID';
COMMENT ON COLUMN t_app_data_resource_info.resource_code IS '数据资源标识符';
COMMENT ON COLUMN t_app_data_resource_info.resource_name IS '资源名称';
COMMENT ON COLUMN t_app_data_resource_info.resource_version IS '数据资源版本号';
COMMENT ON COLUMN t_app_data_resource_info.resource_description IS '数据资源描述';
COMMENT ON COLUMN t_app_data_resource_info.table_code IS '数据对象英文名';
COMMENT ON COLUMN t_app_data_resource_info.table_name IS '数据对象中文名';
COMMENT ON COLUMN t_app_data_resource_info.catalog_cod IS '数据资源目录编号';
COMMENT ON COLUMN t_app_data_resource_info.application_code IS '应用系统编号';
COMMENT ON COLUMN t_app_data_resource_info.application_code_name IS '应用系统名称';
COMMENT ON COLUMN t_app_data_resource_info.data_source_one_code IS '一级数据来源编号';
COMMENT ON COLUMN t_app_data_resource_info.data_source_one_name IS '一级数据来源名称';
COMMENT ON COLUMN t_app_data_resource_info.data_source_two_code IS '二级数据来源编号';
COMMENT ON COLUMN t_app_data_resource_info.data_source_two_name IS '二级数据来源名称';
COMMENT ON COLUMN t_app_data_resource_info.data_classification IS '数据分级代码';
COMMENT ON COLUMN t_app_data_resource_info.data_classification_name IS '数据分级名称';
COMMENT ON COLUMN t_app_data_resource_info.standard_data_code IS '标准数据项集编码';
COMMENT ON COLUMN t_app_data_resource_info.standard_data_name IS '标准数据项集名称';
COMMENT ON COLUMN t_app_data_resource_info.data_classify_one_code IS '数据组织一级分类代码';
COMMENT ON COLUMN t_app_data_resource_info.data_classify_one_name IS '数据组织一级分类名称';
COMMENT ON COLUMN t_app_data_resource_info.data_classify_two_code IS '数据组织二级分类代码';
COMMENT ON COLUMN t_app_data_resource_info.data_classify_two_name IS '数据组织二级分类名称';
COMMENT ON COLUMN t_app_data_resource_info.data_label_one_code IS '数据标签1代码';
COMMENT ON COLUMN t_app_data_resource_info.data_label_one_name IS '数据标签1名称';
COMMENT ON COLUMN t_app_data_resource_info.data_label_two_code IS '数据标签2代码';
COMMENT ON COLUMN t_app_data_resource_info.data_label_two_name IS '数据标签2名称';
COMMENT ON COLUMN t_app_data_resource_info.data_label_three_code IS '数据标签3代码';
COMMENT ON COLUMN t_app_data_resource_info.data_label_three_name IS '数据标签3名称';
COMMENT ON COLUMN t_app_data_resource_info.data_label_four_code IS '数据标签4代码';
COMMENT ON COLUMN t_app_data_resource_info.data_label_four_name IS '数据标签4名称';
COMMENT ON COLUMN t_app_data_resource_info.data_label_five_code IS '数据标签5代码';
COMMENT ON COLUMN t_app_data_resource_info.data_label_five_name IS '数据标签5名称';
COMMENT ON COLUMN t_app_data_resource_info.resource_service_code IS '数据资源服务编号';
COMMENT ON COLUMN t_app_data_resource_info.resource_status IS '资源状态代码';
COMMENT ON COLUMN t_app_data_resource_info.resource_status_name IS '资源状态名称1启动0停用2注销';
COMMENT ON COLUMN t_app_data_resource_info.resource_register_time IS '注册时间，格式：yyyy-MM-dd HH:mm:ss';
COMMENT ON COLUMN t_app_data_resource_info.resource_update_time IS '更新时间，格式：yyyy-MM-dd HH:mm:ss';
COMMENT ON COLUMN t_app_data_resource_info.authority_dept_code IS '数据资源事权单位编号';
COMMENT ON COLUMN t_app_data_resource_info.authority_dept_name IS '数据资源事权单位名称';
COMMENT ON COLUMN t_app_data_resource_info.manage_dept_code IS '数据资源管理单位编号';
COMMENT ON COLUMN t_app_data_resource_info.manage_dept_name IS '数据资源管理单位名称';
COMMENT ON COLUMN t_app_data_resource_info.is_access IS '否开发服务1是0否';
COMMENT ON COLUMN t_app_data_resource_info.deleted IS '是否删除';
COMMENT ON COLUMN t_app_data_resource_info.create_time IS '创建时间';
COMMENT ON COLUMN t_app_data_resource_info.update_time IS '更新时间';
COMMENT ON COLUMN t_app_data_resource_info.create_user IS '创建用户';
COMMENT ON COLUMN t_app_data_resource_info.update_user IS '更新用户';

